Subject: [Ecrit] [Technical Errata Reported] RFC5222 (4174)

From: RFC Errata System <[email-masked]>
Date: Wed, 12 Nov 2014 14:45:56 -0800 (PST)

The following errata report has been submitted for RFC5222,
"LoST: A Location-to-Service Translation Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5222&eid=4174

--------------------------------------
Type: Technical
Reported by: Dan Banks <[email-masked]>

Section: 15 & Apdx A

Original Text
-------------
In section 15, the Exception pattern says (in part):
  locationProfileUnrecognized =
    element locationProfileUnrecognized {
      attribute unsupportedProfiles { xsd:NMTOKENS },
      basicException
    }

The corresponding section in Appendix A says:
       <define name="locationProfileUnrecognized">
         <element name="locationProfileUnrecognized">
           <attribute name="unsupportedProfiles">
             <data type="NMTOKENS"/>
           </attribute>
           <ref name="basicException"/>
         </element>
       </define>

Corrected Text
--------------
Section 15 should say:
  locationProfileUnrecognized =
    element locationProfileUnrecognized {
      basicException
    }

Appendix A should say:
       <define name="locationProfileUnrecognized">
         <element name="locationProfileUnrecognized">
           <ref name="basicException"/>
         </element>
       </define>

Notes
-----
The ‘unsupportedProfiles’ attribute is not referenced anywhere else in the text of the document; no instruction is given describing the use of this attribute.  This, by itself, is problematic.  However, based on the type, it seems reasonable that the intent may have been to list the location profiles which the server is unable to understand.

Consider the condition under which the ‘locationProfileUnrecognized’ error is returned (section 12.1):
    8. If a server receives a request that only contains location
       information using profiles it does not understand, the server
       responds with a <locationProfileError>

If none of the locations include the optional ‘profile’ attribute, the server may not be able to identify any of the profiles and therefore would be incapable of returning a list of profile names.  This is especially problematic considering that the ‘unsupportedProfiles’ attribute is required by the schema.

Even in cases where one or more locations include the profile attribute, the client already knows what profiles were used in the request, so returning a list of these profiles does not provide new information to the client.

At best, use of the ‘unsupportedProfiles’ attribute appears to be redundant; at worst, it is impossible.  Therefore, the suggested course of action is to remove the attribute from the schema.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5222 (draft-ietf-ecrit-lost-10)
--------------------------------------
Title               : LoST: A Location-to-Service Translation Protocol
Publication Date    : August 2008
Author(s)           : T. Hardie, A. Newton, H. Schulzrinne, H. Tschofenig
Category            : PROPOSED STANDARD
Source              : Emergency Context Resolution with Internet Technologies
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG